Skip to main content

Update Email ID Resource

API Description

Update an email resource by supplying the unique Apple-generated ID assigned to the partner’s description of an email, along with the email's description in full.

note

PUBLISHED email resource cannot be updated

Request

URI Parameters

NameInput
orgId
REQUIRED
brandId
REQUIRED
emailId
REQUIRED
Path Template
PUT {url}/api/{version}/orgs/{orgId}/brands/{brandId}/email-ids/{emailId}
Path Example
PUT {url}/api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids/9467895078742654917

Request Headers

NameInput
Authorization
REQUIRED
Content-Type
REQUIRED
If-Match
REQUIRED
Example Request Headers
Authorization: Bearer <access_token>
Content-Type: application/json
If-Match: "95b703ce-0be9-11ef-9262-0242ac120002"

Request Body

NameInput
$.emailIdDetails
REQUIRED
Example Request Body (raw JSON)
{
"id": "9467895078742654917",
"emailIdDetails": {
"address": "correct_user@business.com"
}
}

Response

200 OK or Error

Response Headers

Name
apple-request-id
content-type
etag
location
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 90e37155-2e8a-4584-b72f-e07d54e45c92
content-type: application/json
etag: "8d0a76ac-0be9-11ef-9262-0242ac120002"
location: /api/v1/orgs/9467895078742654934/brands/9467895078742654921/email-ids/9467895078742654917

Response Body

Refer to create operation's response body for property descriptions.

Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"brandId": "9467895078742654921",
"id": "9467895078742654917",
"createdDate": "2026-05-12T12:14:00Z",
"updatedDate": "2026-05-12T17:54:00Z",
"state": "SUBMITTED",
"etag": "8d0a76ac-0be9-11ef-9262-0242ac120002",
"emailIdDetails": {
"address": "correct_user@business.com"
},
"validationReports": []
}